用户
 找回密码
 入住 CI 中国社区
搜索
查看: 1087|回复: 8
收起左侧

[版本 3.x] php7.1就取消了mcrypt扩展CI3.*的怎么办

[复制链接]
发表于 2018-5-23 11:38:40 | 显示全部楼层 |阅读模式
今天升级了一下PHP版本从7.0到7.2,结果就报错了!The Encrypt library requires the Mcrypt extension.
这个怎么解决,现在的php7.1开始就用openssl替代mcrypt了
发表于 2018-5-23 19:24:38 | 显示全部楼层
CI 3 使用 PHP7 应该需要你自己改了,目前 CI4 支持 PHP7 及以上。
发表于 2018-5-23 19:24:45 | 显示全部楼层
我也遇到这个问题,怎么解决?
发表于 2018-5-23 19:32:30 | 显示全部楼层
其他部分没什么错误,就是Mcrypt 的问题
 楼主| 发表于 2018-5-24 11:39:42 | 显示全部楼层
Hex 发表于 2018-5-23 19:24
CI 3 使用 PHP7 应该需要你自己改了,目前 CI4 支持 PHP7 及以上。

好吧,那CI4已经稳定了吗
发表于 2018-5-24 17:12:38 | 显示全部楼层
CandyDear 发表于 2018-5-24 11:39
好吧,那CI4已经稳定了吗

你可以尝试一下。
发表于 2018-5-25 11:05:59 | 显示全部楼层
我用wamp 3.1.0  ,用的就是php 7.1.9 ,没有问题啊。
发表于 2018-5-28 23:06:24 | 显示全部楼层
晕,库少了自己再装啊
发表于 2018-6-4 09:06:09 | 显示全部楼层
你找替代方案吧.
已经被 openssl 代替了.

本版积分规则